libdvbv5: dvb_v5_descriptors Struct Reference

libdvbv5 1.26.1 Library to work with Digital TV devices on Linux

Data Fields
dvb_v5_descriptors Struct Reference
Digital TV frontend scan

Contains the descriptors needed to scan the Service ID and other relevant info at a MPEG-TS Digital TV stream. More...

`#include <dvb-scan.h>`

## Data Fields
uint32_t | delivery_system
struct dvb_entry * | entry
unsigned | num_entry
struct dvb_table_pat * | pat
struct atsc_table_vct * | vct
struct dvb_v5_descriptors_program * | program
struct dvb_table_nit * | nit
struct dvb_table_sdt * | sdt
unsigned | num_program
struct dvb_table_nit ** | other_nits
unsigned | num_other_nits
struct dvb_table_sdt ** | other_sdts
unsigned | num_other_sdts

## Detailed Description

Contains the descriptors needed to scan the Service ID and other relevant info at a MPEG-TS Digital TV stream.

Parameters

  delivery_system | Delivery system of the parsed MPEG-TS
  entry | struct dvb_entry pointer (see dvb-file.h)
  pat | PAT table descriptor pointer (table ID 0x00).
  vct | VCT table descriptor pointer (either table ID 0xc8, for TVCT or table ID 0xc9, for CVCT)
  program | PAT/PMT array associated programs found at MPEG-TS
  num_program | Number of program entries at program array.
  nit | NIT table descriptor pointer for table ID 0x40.
  sdt | SDT table descriptor pointer for table ID 0x42.
  other_nits | Contains an array of pointers to the other NIT extension tables identified by table ID 0x41.
  num_other_nits | Number of NIT tables at other_nits array.
  other_sdts | Contains an array of pointers to the other NIT extension tables identified by table ID 0x46.
  num_other_sdts | Number of NIT tables at other_sdts array.

Those descriptors are filled by the scan routines when the tables are found. Otherwise, they're NULL.

Note
  : Never alloc this struct yourself. This is meant to always be allocated via dvb_scan_alloc_handler_table() or via dvb_get_ts_tables().

Examples
  dvbv5-scan.c.

Definition at line 87 of file dvb-scan.h.

## Field Documentation

## ◆ delivery_system

uint32_t dvb_v5_descriptors::delivery_system

Definition at line 88 of file dvb-scan.h.

## ◆ entry

struct dvb_entry* dvb_v5_descriptors::entry

Examples
  dvbv5-scan.c.

Definition at line 90 of file dvb-scan.h.

## ◆ nit

struct dvb_table_nit* dvb_v5_descriptors::nit

Definition at line 96 of file dvb-scan.h.

## ◆ num_entry

unsigned dvb_v5_descriptors::num_entry

Definition at line 91 of file dvb-scan.h.

## ◆ num_other_nits

unsigned dvb_v5_descriptors::num_other_nits

Definition at line 102 of file dvb-scan.h.

## ◆ num_other_sdts

unsigned dvb_v5_descriptors::num_other_sdts

Definition at line 105 of file dvb-scan.h.

## ◆ num_program

unsigned dvb_v5_descriptors::num_program

Definition at line 99 of file dvb-scan.h.

## ◆ other_nits

struct dvb_table_nit** dvb_v5_descriptors::other_nits

Definition at line 101 of file dvb-scan.h.

## ◆ other_sdts

struct dvb_table_sdt** dvb_v5_descriptors::other_sdts

Definition at line 104 of file dvb-scan.h.

## ◆ pat

struct dvb_table_pat* dvb_v5_descriptors::pat

Definition at line 93 of file dvb-scan.h.

## ◆ program

struct dvb_v5_descriptors_program* dvb_v5_descriptors::program

Definition at line 95 of file dvb-scan.h.

## ◆ sdt

struct dvb_table_sdt* dvb_v5_descriptors::sdt

Definition at line 97 of file dvb-scan.h.

## ◆ vct

struct atsc_table_vct* dvb_v5_descriptors::vct

Definition at line 94 of file dvb-scan.h.

The documentation for this struct was generated from the following file:

- lib/include/libdvbv5/dvb-scan.h